> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dialect.to/llms.txt
> Use this file to discover all available pages before exploring further.

# Withdraw

> Generate a transaction for withdrawing a token from Lulo.



## OpenAPI

````yaml /openapi/lulo.json post /v0/withdraw/{token}/{type}
openapi: 3.1.1
info:
  title: Lulo Blinks
  version: 0.0.1
servers:
  - url: https://lulo.dial.to/api
security: []
paths:
  /v0/withdraw/{token}/{type}:
    post:
      tags:
        - Withdraw
      summary: Withdraw
      description: Generate a transaction for withdrawing a token from Lulo.
      operationId: lulo.v0.withdraw.withdrawToken
      parameters:
        - name: token
          in: path
          required: true
          schema:
            type: string
            description: Token ticker or mint address
            default: USDC
            example: USDC
          x-default: USDC
          example: USDC
        - name: type
          in: path
          required: true
          schema:
            enum:
              - protected
              - regular
            description: 'Withdraw type: protected (PUSD) or regular (LUSD)'
            default: protected
            example: protected
          x-default: protected
          example: protected
        - name: amount
          in: query
          style: deepObject
          explode: true
          schema:
            type: number
            minimum: 0
            description: The amount to withdraw. Human readable value, e.g. 100 USDC
        - name: percentage
          in: query
          style: deepObject
          explode: true
          schema:
            type: integer
            minimum: 1
            maximum: 100
            description: The percentage of balance to withdraw
            default: 100
            example: 100
          x-default: 100
          example: 100
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                type:
                  type: string
                  enum:
                    - transaction
                  default: transaction
                  example: transaction
                account:
                  type: string
                  description: The public key of the account that executes the transaction
                  default: 6JpNV6DK88auwzKVizdeT4Bw3D44sam5GqjcPCJ7y176
                  example: 6JpNV6DK88auwzKVizdeT4Bw3D44sam5GqjcPCJ7y176
              required:
                - type
                - account
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  type:
                    const: transaction
                  transaction:
                    type: string
                required:
                  - type
                  - transaction

````